BanSystem

BanSystem 2.5.0

Jan

Active Member
Mundschutziii updated BanSystem with a new update entry:

New features and improvements

The files of this plugin will be saved in a new folder, but some data, like messages, you can copy to the new plugin.

[+] Code improvements
[+] Clear banlogs, mutelogs and warnings
[+] Edit reason and time of a ban or mute
[+] Addons (will be released today)
[+] API for developers


If you find bugs, feel free to send them to me via...
Read the rest of this update entry...
 

Pavelentiy

New Member
8B8A534A-7A2A-4DFA-9C88-08104A4DE55A.jpegthis is when I write “/ban” or “/mute” in the chat
-For some reason, it also doesn’t show the band,mutes logs for me.. And warnings do not work(
“Bansystemui” - Could you reduce the command in the addon?)
 

You

Member
If BanSystem enable,it will produces the following error:
[BanSystemNK] Successfully loaded Yaml provider.
14:50:08 [ERROR] Throwing
java.lang.RuntimeException: java.lang.IncompatibleClassChangeError: Expected static method net.llamadevelopment.bansystem.components.api.BanSystemAPI.setProvider(Lnet/llamadevelopment/bansystem/components/managers/database/Provider;)V
at cn.nukkit.plugin.PluginManager.enablePlugin(PluginManager.java:443) [MiniGames.jar:?]
at cn.nukkit.Server.enablePlugin(Server.java:746) [MiniGames.jar:?]
at cn.nukkit.Server.enablePlugins(Server.java:735) [MiniGames.jar:?]
at cn.nukkit.Server.<init>(Server.java:571) [MiniGames.jar:?]
at cn.nukkit.Nukkit.main(Nukkit.java:112) [MiniGames.jar:?]
Caused by: java.lang.IncompatibleClassChangeError: Expected static method net.llamadevelopment.bansystem.components.api.BanSystemAPI.setProvider(Lnet/llamadevelopment/bansystem/components/managers/database/Provider;)V
at net.llamadevelopment.bansystem.BanSystem.onEnable(BanSystem.java:44) ~[?:?]
at cn.nukkit.plugin.PluginBase.setEnabled(PluginBase.java:89) ~[MiniGames.jar:?]
at cn.nukkit.plugin.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:117) ~[MiniGames.jar:?]
at cn.nukkit.plugin.PluginManager.enablePlugin(PluginManager.java:439) ~[MiniGames.jar:?]
... 4 more
What's wrong?
 

Jan

Active Member

LlamaDevelopment

New Member
LlamaDevelopment updated BanSystem with a new update entry:

API changes and new Events

[+] Improved API
[+] Added new Events


Please update all Addons because of API changes!

Java:
import net.llamadevelopment.bansystem.BanSystem;
import net.llamadevelopment.bansystem.components.api.BanSystemAPI;

public class Test {

    private Provider api = BanSystem.getApi().getProvider();

    public void test() {
        this.api.getBan("testuser", ban -> {...
Read the rest of this update entry...
 
Top